Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Interface IAttachment

All Superinterfaces:
  IAttachmentSource, IItem, java.io.Serializable

All Known Subinterfaces:
  IEmbeddedAttachment

public interface IAttachment
extends IItem, IAttachmentSource

Represents an attachment to an item.

Field Summary
`static ItemClass` | `CLASS` The default type of binary attachment for items that support them.
`static int` | `KEYID_NAME` The `int` ID for the `NAME` key.
`static int` | `KEYID_SIZE` The `int` ID for the `SIZE` key.
`static Key` | `NAME` Represents the name of the attachment.
`static Key` | `SIZE` Represents the size, in bytes, of the attachment.

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`void` | `commit(IAttachmentSource source)` Commits the attachment from the specified attachment source.

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.IAttachmentSource
`getInputStream, getName, getSize`

Field Detail

### KEYID_NAME

    public static final int KEYID_NAME

  The `int` ID for the `NAME` key.

  See Also:
    Constant Field Values

### KEYID_SIZE

    public static final int KEYID_SIZE

  The `int` ID for the `SIZE` key.

  See Also:
    Constant Field Values

### NAME

    public static final Key NAME

  Represents the name of the attachment. May be a file name for a file attachment or a subject for an embedded message.

### SIZE

    public static final Key SIZE

  Represents the size, in bytes, of the attachment.

### CLASS

    public static final ItemClass CLASS

  The default type of binary attachment for items that support them.

Method Detail

### commit

    public void commit(IAttachmentSource source)
                throws CollaborationException

  Commits the attachment from the specified attachment source. Both the name and attachment data are replaced by the data in the source.

  Parameters:
    `source` - the attachment source (not `null`)
  Throws:
    `CollaborationException` - if there was a problem committing the attachment

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.